Bug 146833 - Request option to disable DHCP network detection
Request option to disable DHCP network detection
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: anaconda (Show other bugs)
3.0
All Linux
medium Severity low
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-01 18:19 EST by Matthew Riedel
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-29 11:08:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew Riedel 2005-02-01 18:19:18 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Macintosh; U; PPC Mac OS X Mach-O; en-US;
rv:1.7.5) Gecko/20041107 Firefox/1.0

Description of problem:
It would be nice to have an append option that would be something like
ip=prompt.  There is ip=dhcp, which seems to be the default, but no
way of turning off the dhcp request when it's looking for network
information.  This would save time in our organization, as most
systems are static IPs.  Also, in the current release (RHEL 3, U4),
after it fails to find an IP w/ dhcp, it prompts for information.  If
you enter correct information, and press OK, it will do another dhcp
probe, fail, and ask you again for IP information.  This time it will
work.

Version-Release number of selected component (if applicable):
anaconda-9.1.4.1-1.RHEL.i386.rpm

How reproducible:
Always

Steps to Reproduce:
1. Do an HTTP install of RHEL 3, U4 in a non-DHCP environment
2. Let it probe, then fail.  Enter correct IP information
3. Let it probe and fail again, then enter correct IP information, and
this time it will continue.
    

Actual Results:  It continues the install.

Expected Results:  The installer should only prompt once for IP
information if the DHCP probe fails.  Would be even better to be able
to optionally disable DHCP probing and simply prompt the user for
information.

Additional info:
Comment 1 Jeremy Katz 2005-02-03 13:38:53 EST
Are you getting your ks.cfg from the network?  If so, that's probably
why it's prompting twice (we reconfig the network with the information
from the ks.cfg)
Comment 2 Matthew Riedel 2005-02-03 13:42:05 EST
Yes, we are going over http.  However, the bootproto statement says
"static".  I could try adding a --ip and get the IP address from CGI
variables and see if it doesn't ask again..  I'll post the result when
I have it.
Comment 3 Chris Lumens 2006-06-29 11:08:49 EDT
Closing due to lack of updates.  Feel free to reopen if you have more
information to add to this bug report.

Note You need to log in before you can comment on or make changes to this bug.